--- old/usr/src/cmd/dtrace/test/tst/common/usdt/tst.dlclose2.ksh	2014-01-14 20:12:09.837401222 -0500
+++ new/usr/src/cmd/dtrace/test/tst/common/usdt/tst.dlclose2.ksh	2014-01-14 20:12:09.850673251 -0500
@@ -40,17 +40,17 @@
 all: main livelib.so deadlib.so
 
 main: main.o prov.o
-	gcc -o main main.o
+	gcc -m32 -o main main.o
 
 main.o: main.c
-	gcc -c main.c
+	gcc -m32 -c main.c
 
 
 livelib.so: livelib.o prov.o
-	gcc -shared -o livelib.so livelib.o prov.o -lc
+	gcc -m32 -shared -o livelib.so livelib.o prov.o -lc
 
 livelib.o: livelib.c prov.h
-	gcc -c livelib.c
+	gcc -m32 -fPIC -c livelib.c
 
 prov.o: livelib.o prov.d
 	$dtrace -G -s prov.d livelib.o
@@ -60,10 +60,10 @@
 
 
 deadlib.so: deadlib.o
-	gcc -shared -o deadlib.so deadlib.o -lc
+	gcc -m32 -shared -o deadlib.so deadlib.o -lc
 
 deadlib.o: deadlib.c
-	gcc -c deadlib.c
+	gcc -m32 -fPIC -c deadlib.c
 
 clean:
 	rm -f main.o livelib.o prov.o prov.h deadlib.o
